Bug 965529 - nagios package should be built with PIE flags
nagios package should be built with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Keiran Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:37 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
5 users (show)

See Also:
Fixed In Version: nagios-3.5.0-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 23:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-05-21 06:37:10 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package has suid binaries...".

However, currently nagios is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

nagios-plugins-fping-1.4.16-6.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py nagios-plugins-fping-1.4.16-6.fc19.x86_64.rpm
nagios-plugins-fping,nagios-plugins-fping-1.4.16-6.fc19.x86_64.rpm,/usr/lib64/nagios/plugins/check_fping,mode=0104750,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
Comment 1 Jose Pedro Oliveira 2013-06-15 11:47:00 EDT
(In reply to Dhiru Kholia from comment #0)

The above report is confusing: it basically mentions a nagios-plugin subpackage for a problem in the nagios package.
Comment 2 Jose Pedro Oliveira 2013-06-15 11:48:39 EDT
$ rpm -q checksec nagios
checksec-1.5-2.fc19.noarch
nagios-3.5.0-3.fc19.x86_64

$  checksec --file /usr/sbin/nagios
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   RUNPATH      /usr/sbin/nagios
Comment 3 Fedora Update System 2013-06-15 12:29:56 EDT
nagios-3.5.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nagios-3.5.0-5.fc19
Comment 4 Fedora Update System 2013-06-15 12:33:31 EDT
nagios-3.5.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nagios-3.5.0-5.fc18
Comment 5 Jose Pedro Oliveira 2013-06-15 12:37:18 EDT
$ rpm -q checksec nagios
checksec-1.5-2.fc19.noarch
nagios-3.5.0-5.fc19.x86_64

$ checksec --file /usr/sbin/nagios
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Full RELRO      Canary found      NX enabled    PIE enabled     No RPATH   RUNPATH      /usr/sbin/nagios
Comment 6 Fedora Update System 2013-06-16 01:45:13 EDT
Package nagios-3.5.0-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-3.5.0-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10950/nagios-3.5.0-5.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-24 23:28:20 EDT
nagios-3.5.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-29 14:04:38 EDT
nagios-3.5.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.